{
  "schema_version": "1.4.0",
  "id": "GHSA-xwhw-9p7r-3vq8",
  "modified": "2022-09-02T00:01:02Z",
  "published": "2022-08-31T00:00:23Z",
  "aliases": [
    "CVE-2022-24107"
  ],
  "details": "Xpdf prior to 4.04 lacked an integer overflow check in JPXStream.cc.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2022-24107"
    },
    {
      "type": "WEB",
      "url": "https://dl.xpdfreader.com/old/xpdf-4.04.tar.gz"
    },
    {
      "type": "WEB",
      "url": "https://dl.xpdfreader.com/xpdf-4.04.tar.gz"
    },
    {
      "type": "WEB",
      "url": "http://www.xpdfreader.com/old-versions.html"
    },
    {
      "type": "WEB",
      "url": "http://www.xpdfreader.com/security-fixes.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2022-08-30T04:15:00Z"
  }
}